<div id="attempt-{{this.args.number}}" class="attempt--container" {{did-insert this.keyboardListener}} {{did-update this.keyboardListener this.disabled}}>
  {{#each this.arrayOfLetters as |letter index|}}
    <Match::Letter
      @attemptIndex={{this.args.number}}
      @value={{letter}}
      @wordleWord={{this.wordleWord}} 
      @correctLetter={{letter}} 
      @letterIndex={{index}} 
      @disabled={{this.disabled}} 
      @reveal={{this.reveal}}
      @guessedWord={{this.guessedWord}}
      @onChangeGuess={{this.registerGuessing}}/>
  {{/each}}
</div>